maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jörg Schaible <joerg.schai...@scalaris.com>
Subject Re: Breaking the build on JVM 6 because of maven dependency
Date Thu, 10 Feb 2011 10:44:25 GMT
fhomasp wrote:

> 
> 
> I understand it was only an example :-)
> To clarify my question...  I build my war using a java 5 VM in maven2. 
> This
> means no bcprov or wss4j version as dependency in the libs of the war. 
> This
> seems to work fine.  So why are these dependencies added for java 6 then?
> Surely something must be available in java 5 which is not available
> anymore
> in java 6.

Look at dependency:tree running Maven with each JDK once to understand where 
the difference comes from.

> Unless of course the dependency is never used, then I'll
> probably feel better :-)

No, it simply means that the dependencies have been screwed up by that 
profile in this spring pom. If you build with Java 6 for a target Java 5 
runtime, you have to add the deps declared in the Java 5 profile of this 
spring pom manually. Those who generated that pom simply weren't aware of 
the problem they created. They simply assumed that you run your result on 
the same Java runtime you used to build your stuff. An obviously wrong 
assumption.

- Jörg


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message